AtteanX::Store::SimpleTripleStore(3pm)

NAME
AtteanX::Store::SimpleTripleStore - SimpleTripleStore, unindexed, in-memory RDF store

VERSION
This document describes AtteanX::Store::SimpleTripleStore version 0.019

SYNOPSIS
 use AtteanX::Store::SimpleTripleStore;

DESCRIPTION
AtteanX::Store::SimpleTripleStore provides an in-memory triple-store.

METHODS
Beyond the methods documented below, this class inherits methods from the Attean::API::QuadStore class.

"new ( triples => \@triples )"
    Returns a new memory-backed storage object.

"get_triples ( $subject, $predicate, $object )"
    Returns a stream object of all statements matching the specified subject, predicate and objects. Any of the arguments may be undef to match any value.

"add_triple( $t )"
"remove_triple( $t )"

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf2/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2018 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.